Package sop

# Class Signatures

java.lang.Object
sop.Ready
sop.Signatures

public abstract class Signatures extends Ready

## Constructor Summary

Constructors
Constructor
Description
`Signatures()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`writeTo(OutputStream signatureOutputStream)`
Write OpenPGP signatures to the provided output stream.

### Methods inherited from class sop.Ready

`getBytes, getInputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Signatures

public Signatures()

## Method Details

### writeTo

public abstract void writeTo(OutputStream signatureOutputStream) throws IOException
Write OpenPGP signatures to the provided output stream.

Specified by:
  `writeTo` in class `Ready`
Parameters:
  `signatureOutputStream` - output stream
Throws:
  `IOException` - in case of an IO error